<script setup lang="ts">
import { RouterView } from 'vue-router';
import { onMounted } from 'vue';
import appBridge from '@/assets/js/appBridge';
import utils from '@/assets/js/common';

onMounted(async () => {
  if (utils.getParameter('digitalYiliToken')) {
    // 隐藏/显示 header
    appBridge.setHeaderShown(false);
    // 设置系统状态栏明暗主题
    appBridge.setStatusBarStyle('light');
    // 设置禁止原生返回
    appBridge.takeOverAndroidBack();
  }
});
</script>

<template>
  <div>
    <RouterView />
  </div>
</template>